<?xml version="1.0" encoding="utf-8"?>

<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->

<resources xmlns:tool="http://schemas.android.com/tools">

	<style name="Theme.Bimba" parent="Theme.Material3.Light.NoActionBar">
		<item name="android:fontFamily">@font/yellowcircle8</item>
		<item name="colorPrimary">@android:color/system_accent1_600</item>
		<item name="colorOnPrimary">@android:color/system_accent1_0</item>
		<item name="colorPrimaryContainer">@android:color/system_accent1_200</item>
		<item name="colorOnPrimaryContainer">@android:color/system_accent1_900</item>
		<item name="colorPrimaryInverse">@android:color/system_accent1_300</item>
		<item name="colorSecondary">@android:color/system_accent3_600</item>
		<item name="colorOnSecondary">@android:color/system_accent3_0</item>
		<item name="colorSecondaryContainer">@android:color/system_accent3_200</item>
		<item name="colorOnSecondaryContainer">@android:color/system_accent3_800</item>

		<item name="android:colorBackground">@android:color/system_neutral1_10</item>
		<item name="colorOnBackground">@android:color/system_neutral1_900</item>

		<item name="colorSurface">@android:color/system_neutral1_10</item>
		<item name="colorOnSurface">@android:color/system_neutral1_900</item>
		<item name="colorSurfaceVariant">@android:color/system_neutral2_100</item>
		<item name="colorOnSurfaceVariant">@android:color/system_neutral2_700</item>
		<item name="colorOutline">@android:color/system_neutral2_500</item>
		<item name="colorSurfaceInverse">@android:color/system_neutral1_900</item>
		<item name="colorOnSurfaceInverse">@android:color/system_neutral1_100</item>

		<item name="colorTertiary">@color/md_theme_light_tertiary</item>
		<item name="colorOnTertiary">@color/md_theme_light_onTertiary</item>
		<item name="colorTertiaryContainer">@color/md_theme_light_tertiaryContainer</item>
		<item name="colorOnTertiaryContainer">@color/md_theme_light_onTertiaryContainer</item>
		<item name="colorError">@color/md_theme_light_error</item>
		<item name="colorErrorContainer">@color/md_theme_light_errorContainer</item>
		<item name="colorOnError">@color/md_theme_light_onError</item>
		<item name="colorOnErrorContainer">@color/md_theme_light_onErrorContainer</item>

		<item name="statusBarBackground">@android:color/transparent</item>
		<item name="android:statusBarColor">@android:color/transparent</item>
		<item name="android:enforceStatusBarContrast">false</item>
		<item name="lightStatusBar">true</item>
		<item name="randomColourLightness">.2</item>
	</style>

	<style name="Theme.Bimba.SearchResult.Title" parent="Theme.Bimba">
		<item name="android:textColor">@android:color/system_neutral2_700</item>
		<item name="android:textSize">16sp</item>
	</style>

	<style name="Theme.Bimba.SearchResult.Description" parent="Theme.Bimba">
		<item name="android:textColor">@android:color/system_neutral2_700</item>
		<item name="android:textSize">9sp</item>
	</style>

	<style name="Theme.Bimba.Splash" parent="Theme.SplashScreen">
		<item name="windowSplashScreenAnimatedIcon">@drawable/ic_launcher_foreground</item>
		<item name="windowSplashScreenIconBackgroundColor">@color/ic_launcher_background</item>
		<item name="postSplashScreenTheme">@style/Theme.Bimba</item>
	</style>

	<style name="Preference.SwitchPreferenceCompat" parent="@style/Preference.SwitchPreferenceCompat.Material" tool:ignore="ResourceCycle">
		<item name="widgetLayout">@layout/preferences_switch_material</item>
	</style>
</resources>